// // Module CommonJS avec une classe exportée

function monAire( largeur, hauteur ) {
        return largeur * hauteur;
};
function centre( x, y, largeur, hauteur ) { 
    return [ ( x + largeur ) / 2, ( y + hauteur ) / 2 ]; 
}; 

class Forme {
    constructor( x, y, largeur, hauteur ) {
        this.x = x;
        this.y = y;
        this.largeur = largeur;
        this.hauteur = hauteur;
    }
    aire() {
        return monAire( this.largeur, this.hauteur );
    }
    centre() {
        return centre(this.x, this.y, this.largeur, this.hauteur );
    }
};

module.exports = Forme;